<?php
/**
 * 2007-2021 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    PrestaShop SA <contact@prestashop.com>
 *  @copyright 2007-2021 PrestaShop SA
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 *  International Registered Trademark & Property of PrestaShop SA
 */

class PaymentStatus
{

    public static function addStatus()
    {

        $name = 'Awaiting Montonio payment';
        $state_exist = false;
        $states = OrderState::getOrderStates((int)Context::getContext()->language->id);

        // check if order state exist
        foreach ($states as $state) {
            if (in_array($name, $state)) {
                $state_exist = $state;
                break;
            }
        }

        // If the state does not exist, we create it.
        if (!$state_exist) {
            // create new order state
            $order_state = new OrderState();
            $order_state->color = '#34209E';
            $order_state->send_email = false;
            $order_state->module_name = 'montonio';
            $order_state->visibility = '1';
            $order_state->name = [];
            $languages = Language::getLanguages(false);
            foreach ($languages as $language)
                $order_state->name[$language['id_lang']] = $name;

            // Update object
            $order_state->add();
            Cache::clean('OrderState::getOrderStates_*');

            $orderState = [];
            $states = OrderState::getOrderStates((int)Context::getContext()->language->id);

            // check if order state exist
            foreach ($states as $state) {
                if (in_array($name, $state)) {
                    $orderState = $state;
                    break;
                }
            }
            if (isset($orderState['id_order_state'])) {
                Configuration::updateValue('PS_OS_MONTONIO', (int)$orderState['id_order_state']);
            }

        }

        return true;
    }
}