<?php
/**
 * 2007-2021 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    PrestaShop SA <contact@prestashop.com>
 *  @copyright 2007-2021 PrestaShop SA
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 *  International Registered Trademark & Property of PrestaShop SA
 */

if (!defined('_PS_VERSION_')) {
    exit;
}

function upgrade_module_1_4_0()
{
    $montonioAccessKey   = Configuration::get('MONTONIO_ACCESS_KEY');
    $montonioSecretKey   = Configuration::get('MONTONIO_SECRET_KEY');
    $montonioEnvironment = Configuration::get('MONTONIO_ENVIRONMENT');

    if (!$montonioAccessKey || !$montonioSecretKey || !$montonioEnvironment) {
        return false;
    }

    require_once _PS_MODULE_DIR_ . 'montonio/vendor/MontonioPaymentsSDK.php';

    $sdk    = new MontonioPaymentsSDK($montonioAccessKey, $montonioSecretKey, $montonioEnvironment);
    $result = $sdk->fetch_payment_methods();

    if ($result['status'] === 'ERROR' || !isset($result['data'])) {
        return false;
    }

    $paymentMethods = $result['data'];
    if ($montonioEnvironment === 'sandbox') {
        Configuration::updateValue('MONTONIO_PAYMENTS_CURRENT_BANKS_SANDBOX', json_encode($paymentMethods));
    }

    if ($montonioEnvironment === 'production') {
        Configuration::updateValue('MONTONIO_PAYMENTS_CURRENT_BANKS', json_encode($paymentMethods));
    }

    return true;
}
